JGraph X 1.4.0.9

## com.mxgraph.shape
Class mxBasicShape

    java.lang.Object
      com.mxgraph.shape.mxBasicShape

All Implemented Interfaces:
  mxIShape

Direct Known Subclasses:
  mxActorShape, mxArrowShape, mxCloudShape, mxConnectorShape, mxCylinderShape, mxEllipseShape, mxHexagonShape, mxLineShape, mxRectangleShape, mxRhombusShape, mxSwimlaneShape, mxTriangleShape

    public class mxBasicShape

extends java.lang.Object
implements mxIShape

Constructor Summary
`mxBasicShape()`

Method Summary
`protected boolean` `configureGraphics(mxGraphics2DCanvas canvas, mxCellState state, boolean background)`
`java.awt.Shape` `createShape(mxGraphics2DCanvas canvas, mxCellState state)`
`java.awt.Color` `getFillColor(mxGraphics2DCanvas canvas, mxCellState state)`
`java.awt.Color` `getStrokeColor(mxGraphics2DCanvas canvas, mxCellState state)`
`boolean` `hasShadow(mxGraphics2DCanvas canvas, mxCellState state)`
`void` `paintShape(mxGraphics2DCanvas canvas, mxCellState state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxBasicShape

    public mxBasicShape()

Method Detail

### paintShape

    public void paintShape(mxGraphics2DCanvas canvas,
                           mxCellState state)

  Specified by:
    `paintShape` in interface `mxIShape`

### createShape

    public java.awt.Shape createShape(mxGraphics2DCanvas canvas,
                                      mxCellState state)

### configureGraphics

    protected boolean configureGraphics(mxGraphics2DCanvas canvas,
                                        mxCellState state,
                                        boolean background)

### hasShadow

    public boolean hasShadow(mxGraphics2DCanvas canvas,
                             mxCellState state)

### getFillColor

    public java.awt.Color getFillColor(mxGraphics2DCanvas canvas,
                                       mxCellState state)

### getStrokeColor

    public java.awt.Color getStrokeColor(mxGraphics2DCanvas canvas,
                                         mxCellState state)

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.